<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
   	<xsl:import href="../../common.xsl"  />
	
	
   <xsl:param name="baseActionURL">donne par le code</xsl:param>
   
   <xsl:template match="/xml">
   	<xsl:call-template name="errorBar" />
	<form name="myForm" action="{$baseActionURL}">
	
	<input type="hidden" name="backhttp" value="{$baseActionURL}"/>
	<input type="hidden" name="etat" value="valid"/>
	
	<table>
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='uid']">
				<xsl:with-param name="label">Login</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<td>
   				<xsl:call-template name="displayModifiableField">
					<xsl:with-param name="txt">Civilit</xsl:with-param>
				</xsl:call-template>
				</td>
					<td>
				<select name="supanncivilite" class="uportal-input-text">
					<xsl:choose>
						<xsl:when test="INFOS/ATTRIBUTE[@name='supanncivilite']/VALUE[position()=1]/@value='Mme'"><option value="Mme" selected="true">Mme</option></xsl:when>
						<xsl:otherwise><option value="Mme">Mme</option></xsl:otherwise>
					</xsl:choose>
					
					<xsl:choose>
						<xsl:when test="INFOS/ATTRIBUTE[@name='supanncivilite']/VALUE[position()=1]/@value='Mlle'"><option value="Mlle" selected="true">Mlle</option></xsl:when>
						<xsl:otherwise><option value="Mlle" >Mlle</option></xsl:otherwise>
					</xsl:choose>
					
					<xsl:choose>
						<xsl:when test="INFOS/ATTRIBUTE[@name='supanncivilite']/VALUE[position()=1]/@value='M.'"><option value="M." selected="true">M.</option></xsl:when>
						<xsl:otherwise><option value="M.">M.</option></xsl:otherwise>
					</xsl:choose>
				</select>
			</td>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='sn']">
				<xsl:with-param name="label">Nom</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='givenname']">
				<xsl:with-param name="label">Prnom</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='telephonenumber']">
				<xsl:with-param name="label">Tlphone</xsl:with-param>
				<xsl:with-param name="modifiable">true</xsl:with-param>
				<xsl:with-param name="saisie">true</xsl:with-param>
				<xsl:with-param name="allowMultiValue">true</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='facsimiletelephonenumber']">
				<xsl:with-param name="label">Fax</xsl:with-param>
				<xsl:with-param name="modifiable">true</xsl:with-param>
				<xsl:with-param name="saisie">true</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='description']">
				<xsl:with-param name="label">Description</xsl:with-param>
				<xsl:with-param name="modifiable">true</xsl:with-param>
				<xsl:with-param name="saisie">true</xsl:with-param>
			</xsl:apply-templates>
		</tr>
				
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='supannorganisme']">
				<xsl:with-param name="label">Etablissement</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='postaladdress']">
				<xsl:with-param name="label">Adresse</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='labeleduri']">
				<xsl:with-param name="label">Page web personnelle</xsl:with-param>
				<xsl:with-param name="modifiable">true</xsl:with-param>
				<xsl:with-param name="saisie">true</xsl:with-param>
				<xsl:with-param name="size">150</xsl:with-param>
			</xsl:apply-templates>
		</tr>
   <tr><td colspan="2">&#160;</td></tr>   
   <tr>
		<td><input class="uportal-button" type="submit" value="Valider" name="Submit"/></td>
		
		<td><input class="uportal-button" type="button" onclick="document.retour.submit()" value="Retour" name="Cancel"/></td>
   	</tr>
	<tr><td colspan="2">&#160;</td></tr>   
   	<tr><td colspan="2"><font class="uportal-channel-text">Vous avez la possibilit de modifier les informations en gras.<br/> 
   		Pour demander des modifications sur les autres informations, veuillez 
		<a href="{$baseActionURL}?action=mailto&amp;login={PARAMS/ATTRIBUTE[@name='uid']/VALUE[position()=1]/@value}">cliquer ici</a>
		</font>
		</td>
	</tr>
<tr><td colspan="2">&#160;</td></tr>   
   


			
	</table>

</form>
   <form name="retour" action="HTTPSGateway">
		<input type="hidden" name="backhttp" value="{$baseActionURL}"/>
		<input type="hidden" name="action" value="default"/>
	</form>
   </xsl:template>
</xsl:stylesheet>